# List the user's Stripe subscriptions Lists the user's Stripe subscriptions. Endpoint: GET /blaize/payment/stripe/subscriptions Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Response 200 fields (application/json): - `billingFrequency` (integer) - `billingFrequencyUnit` (string) Enum: "DAY", "WEEK", "MONTH", "YEAR" - `blaizeProduct` (object) - `blaizeProduct.description` (string) - `blaizeProduct.id` (string) - `blaizeProduct.label` (string) - `blaizeProduct.subTenantId` (string) - `blaizeProduct.tenantId` (string) - `currencyCode` (string) - `discountsApplied` (boolean) - `ended` (string) - `ends` (string) - `externalId` (string) - `managedBy` (string) - `multiphasePlan` (boolean) - `nextBillingTime` (string) - `paidThroughDate` (string) - `planId` (string) - `planName` (string) - `preDiscountPrice` (number) - `state` (string) - `taxRates` (array) - `taxRates.active` (boolean) - `taxRates.displayName` (string) - `taxRates.isTaxInclusive` (boolean) - `taxRates.taxPercent` (number) - `transactionRecords` (array) - `transactionRecords.cents` (number) - `transactionRecords.currency` (object) - `transactionRecords.cycle` (string) - `transactionRecords.cycleCount` (integer) - `transactionRecords.humanReadableAmount` (string) - `transactionRecords.taxRate` (object) - `transactionRecords.time` (string) ## Response 401 fields